org.apache.poi.hwpf.sprm

## Class SprmBuffer

- java.lang.Object
- - org.apache.poi.hwpf.sprm.SprmBuffer

- All Implemented Interfaces:
    Duplicatable

      @Internal
      public final class SprmBuffer
      extends java.lang.Object
      implements Duplicatable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SprmBuffer(byte[] buf, boolean istd, int sprmsStartOffset)`
    `SprmBuffer(byte[] buf, int _sprmsStartOffset)`
    `SprmBuffer(int sprmsStartOffset)`
    `SprmBuffer(SprmBuffer other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSprm(short opcode, byte operand)`
    `void` | `addSprm(short opcode, byte[] operand)`
    `void` | `addSprm(short opcode, int operand)`
    `void` | `addSprm(short opcode, short operand)`
    `void` | `append(byte[] grpprl)`
    `void` | `append(byte[] grpprl, int offset)`
    `SprmBuffer` | `clone()` Deprecated.
    `SprmBuffer` | `copy()`
    `boolean` | `equals(java.lang.Object obj)`
    `SprmOperation` | `findSprm(short opcode)`
    `int` | `hashCode()`
    `SprmIterator` | `iterator()`
    `byte[]` | `toByteArray()`
    `java.lang.String` | `toString()`
    `void` | `updateSprm(short opcode, boolean operand)`
    `void` | `updateSprm(short opcode, byte operand)`
    `void` | `updateSprm(short opcode, int operand)`
    `void` | `updateSprm(short opcode, short operand)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SprmBuffer

          public SprmBuffer(SprmBuffer other)

    - #### SprmBuffer

          public SprmBuffer(byte[] buf,
                            boolean istd,
                            int sprmsStartOffset)

    - #### SprmBuffer

          public SprmBuffer(byte[] buf,
                            int _sprmsStartOffset)

    - #### SprmBuffer

          public SprmBuffer(int sprmsStartOffset)

  - ### Method Detail

    - #### addSprm

          public void addSprm(short opcode,
                              byte operand)

    - #### addSprm

          public void addSprm(short opcode,
                              byte[] operand)

    - #### addSprm

          public void addSprm(short opcode,
                              int operand)

    - #### addSprm

          public void addSprm(short opcode,
                              short operand)

    - #### append

          public void append(byte[] grpprl)

    - #### append

          public void append(byte[] grpprl,
                             int offset)

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public SprmBuffer clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public SprmBuffer copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### findSprm

          public SprmOperation findSprm(short opcode)

    - #### toByteArray

          public byte[] toByteArray()

    - #### iterator

          public SprmIterator iterator()

    - #### updateSprm

          public void updateSprm(short opcode,
                                 byte operand)

    - #### updateSprm

          public void updateSprm(short opcode,
                                 boolean operand)

    - #### updateSprm

          public void updateSprm(short opcode,
                                 int operand)

    - #### updateSprm

          public void updateSprm(short opcode,
                                 short operand)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.